IPv6-only Terminology Definition
Jordi Palet Martinez
The IPv6 Company
Molino de la Navata, 75
La Navata - Galapagar
Madrid
28420
Spain
jordi.palet@theipv6company.com
http://www.theipv6company.com/
2024
v6ops
This document defines the terminology regarding the usage of expressions such as "IPv6-only", in order to avoid confusions when using them in IETF and other documents. The goal is that the reference to "IPv6-only" describes the actual native functionality being used, not the actual protocol support.

Introduction
Due to the nature of the Internet and the different types of users, parts of a network, providers, flows, etc., there is not a single and easy way to categorically say something such as "IPv6-only".
The goal of this document is to depict this situation and agree in a common language to be used for IETF and other documents, in order to facilitate ourselves and future readers, the correct understanding of what we are talking about.
The term IPv6-only is being used by many IETF documents, with a clear definition of the scope or terminology, for example [RFC6877], [RFC8585] and [RFC8683].
Note that all the references in this document are regarding the actual usage of IPv4/IPv6, not the support of those protocols by nodes. For example, a device or access network may support both IPv4 and IPv6, however actually is only "natively" forwarding IPv6, because the link used for that communication is only natively configured for IPv6. IPv4 may be used as well, but it is being encapsulated or translated by means of IPv6. So, from this perspective, this device is attached to an IPv6-only link.
As such, a network service is considered IPv6-only if it forwards IPv6, not IPv4, even if IPv4 is still supported and enabled but not configured neither used in the nodes participating in the service.

Context
The transition from IPv4 to IPv6 is not something that can be done, in the large majority of the cases, overnight and in a single step. Consequently, in general, we are unable to talk about a whole network having a "single and uniform" status regarding the IPv6 support, at least not in the early deployment stages of an operator network.
Even if possible, it is not frequent to deploy new IPv6 networks which have no IPv4 connectivity at all, because at the current phase of the universal goal of the IPv6 deployment, almost every network still need to provide some kind of "access" to IPv4 sites. It is not feasible for most of the operators to tell their customers "I can provide you IPv6 service, but you will not be able to access all Internet contents and apps, because some of them still don't support IPv6, so you will miss every content that it is IPv4-only".
Some networks may have IPv6-only support for specific purposes or services. For example, a DOCSIS provider may have decided that is worth the effort to get rid of IPv4 for the management network of the cable-modems. Or a network that provides connectivity only to IoT devices, may be IPv6-only.
However, the "end-networks", in general, need to continue supporting IPv4, as there are many devices or apps, in both corporate and end-user networks (smartTV, IP cameras, etc.), which are IPv4-only and it is not always feasible to update or replace them. Also if customer devices in a LAN are IPv4-only, they will not be able to access IPv6-only services, so this means that IPv6-only services can't be deployed unless it is done in such way that some transition mechanism solves that problem as well (example an IPv6-only Data Center, requires SIIT-DC)
In IPv6-only access networks, IPv4 support may be provided by mechanisms that allow "IPv4-as-a-service" (IPv4aaS, for example by means of encapsulation and/or translation on top of IPv6).

IPv6-only
Consequently, considering the context described in the section above, if we want to be precise and avoid confusing others, we can't use the terminology "IPv6-only" in a generic way, and we need to define what part of the network we are referring to.
From that perspective, we define the "IPv6-only" status in a given part(s) of a network, depending on if there is actual native forwarding of IPv4, so IPv4 is not configured neither managed.

IPv4-only
Similarly, we define the "IPv4-only" status in a given part(s) of a network, depending on if there is actual native forwarding of IPv6, so IPv6 is not configured neither managed.

Dual-stack
This can be applied to a host, router, link, network (part), etc. It means that both, IPv4 and IPv6 are reachable, without specifying how.

Native dual-stack
This can be applied to a host, router, link, network (part), etc. It means that both, IPv4 and IPv6 are configured/used natively (without the need of transition mechanisms).

IPv6-only network
IPv6-only can be used only if, a complete network, end-to-end, is actually not natively forwarding IPv4, which will mean that no-IPv4 addresses are configured, neither used for management, neither the network is providing transition/translation support, neither there is IPv4 transit/peering.
This is the end of the road of the IPv4-to-IPv6 transition, however we aren't there yet, in general at the time of writing this document, unless we are referring to special or disconnected (from IPv4) networks.

IPv6-only WAN/access
IPv6-only WAN or access can be used only if the WAN or access network isn't actually natively forwarding IPv4.

IPv6-only LAN
IPv6-only LAN(s) can be used only if the LAN(s), isn't actually natively forwarding IPv4.

IPv6-only host/router
IPv6-only host/router can be used only if the host/router, isn't actually using/forwarding IPv4, so IPv4 is unconfigured and/or disabled in the external facing interfaces.
Internal interfaces, such as loopback, can still be using IPv4 (internally).

Transitional IPv6 host/router
Transitional IPv6 host/router is a dual-stack host/router with IPv6-only WAN where IPv4 service support is provided by means of transition mechanism, IPv4aaS (IPv4-as-a-service).

IPv6-Mostly
In order to provide a more comprehesive view, we also cite here the IPv6-Mostly definition extracted from [I-D.link-v6ops-6mops]. An IPv6-Mostly network segment is very similar to a dual-stack one, with two additional key elements: a NAT64 ([RFC6146]) and DHCVv4 infrastructure supporting Option 108 ([RFC8925]). This way it can support a mix of IPv4-only, dual-stack or IPv6-only clients, depending on the client capabilities or configuration.

Other cases
Similar other cases or parts of the network can be considered as IPv6-only if there is no actual native forwarding of IPv4 and in that case, after "IPv6-only" some word/short text pointing to the specific case or part of the network needs to be used. For instance, we could talk about "IPv6-only core" if a core network is only natively forwarding IPv6.

IPv4 Exclusion
If an IPv6-only network or part of it, has strict filtering rules to avoid IPv4 to be transported on top of IPv6, this should be explicitly cited. For example, and enterprise LAN, where employees can't use VPNs, tunnels, or even translations, could be named as "IPv6-only LAN with IPv4 Exclusion".

Security Considerations
This document does not have any specific security considerations.

IANA Considerations
This document does not have any IANA considerations.

Acknowledgements
The author would like to acknowledge the inputs from Tim Chown, Noah Maina, Lee Howard, Azael Fernandez Alcantara, Marcos Sanz Grosson and Robert M. Hinden.

Normative References

Informative References
[RFC6877]
[RFC8585]
[RFC8683]
[I-D.link-v6ops-6mops]
[RFC6146]
[RFC8925]